Skip to main content
GET
/
v2
/
aether
/
playbook
/
knowledge
/
{article_id}
Get Knowledge
curl --request GET \
  --url https://api.example.com/v2/aether/playbook/knowledge/{article_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "title": "<string>",
  "collection": "<string>",
  "description": "<string>",
  "content": "<string>",
  "customer_id": "<string>",
  "segment_id": "<string>",
  "published_at": "2023-11-07T05:31:56Z",
  "archived_at": "2023-11-07T05:31:56Z",
  "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "file": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "mime_type": "<string>",
    "presigned_url": "<string>",
    "size": 123
  },
  "current_version": {
    "version_number": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "author_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

article_id
string
required

Response

Successful Response

id
string<uuid>
required

Article ID

created_at
string<date-time>
required

When this article was first created

title
string
required

Article title

collection
string
required

Playbook collection

knowledge_type
enum<string>
required

Declarative, procedural, or document

Available options:
declarative,
document,
procedural
status
enum<string>
required

Published or archived

Available options:
archived,
published
scope
enum<string>
required

Visibility: shared, segment, or customer

Available options:
shared,
segment,
customer
description
string | null

What this article covers

content
string | null

Full article content

customer_id
string | null

Customer this article is scoped to

segment_id
string | null

Segment this article is scoped to

published_at
string<date-time> | null

When last published

archived_at
string<date-time> | null

When archived

file_id
string<uuid> | null

Reference document attachment

file
File · object

Attached file

current_version
VersionSummary · object

Latest version metadata